BearSSL

Data Fields
br_sslrec_in_ccm_class Struct Reference

Record decryption engine class, for CCM mode. More...

`#include <bearssl_ssl.h>`

## Data Fields
br_sslrec_in_class | inner
| Superclass, as first vtable field. More...
void(* | init )(const br_sslrec_in_ccm_class **ctx, const br_block_ctrcbc_class *bc_impl, const void *key, size_t key_len, const void *iv, size_t tag_len)
| Engine initialisation method. More...

## Detailed Description

Record decryption engine class, for CCM mode.

This class type extends the decryption engine class with an initialisation method that receives the parameters needed for CCM processing: block cipher implementation, block cipher key, and 4-byte IV.

## Field Documentation

## ◆ init

void(* br_sslrec_in_ccm_class::init) (const br_sslrec_in_ccm_class **ctx, const br_block_ctrcbc_class *bc_impl, const void *key, size_t key_len, const void *iv, size_t tag_len)

Engine initialisation method.

This method sets the vtable field in the context.

Parameters

  ctx | context to initialise.
  bc_impl | block cipher implementation (CTR+CBC).
  key | block cipher key.
  key_len | block cipher key length (in bytes).
  iv | static IV (4 bytes).
  tag_len | tag length (in bytes)

## ◆ inner

br_sslrec_in_class br_sslrec_in_ccm_class::inner

Superclass, as first vtable field.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h